package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsMaterial;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0物料管理 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-21
 */
public interface IJsMaterialService extends IService<JsMaterial> {

    AjaxResult add(JsMaterial material);

    AjaxResult edit(JsMaterial material);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String materialName, Integer materialType, Boolean needAllFlag);

    AjaxResult listAll();
}
